import { HTMLAttributes, ReactNode, FC } from 'react';
declare type BaseElement = HTMLDivElement;
declare type BaseProps = HTMLAttributes<BaseElement>;
export interface TableHeaderProps extends BaseProps {
    readonly children?: ReactNode;
    /**
     * `class` to be passed to the component.
     */
    readonly className?: BaseProps['className'];
    /**
     * Indicates if the all rows are selected.
     */
    readonly selected?: boolean;
    /**
     * Indicates if only a part of all rows are selected.
     */
    readonly partial?: boolean;
    /**
     * Optional overlay element to cover the column headers.
     */
    readonly overlay?: ReactNode;
    /**
     * Optional menu content to put on the right.
     * It will be aligned to the right and overflow onto the row.
     */
    readonly menu?: ReactNode;
}
export declare const TableHeader: FC<TableHeaderProps>;
export {};
