"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.spacing = exports.shape = exports.opacity = exports.iconSize = exports.componentSize = void 0;

/*
 * Design parameters
 *
 * Parametrize different design properties of the UI components.
 * These are _not_ part of the theme (which only has font/color),
 * as components are built to conform to these properties.
 */
var spacing = {
  extraSmall: '2px',
  small: '4px',
  medium: '8px',
  large: '16px',
  extraLarge: '24px',
  huge: '32px'
};
exports.spacing = spacing;
var shape = {
  radius: {
    circle: '50%',
    small: '2px',
    medium: '4px',
    large: '8px'
  }
};
exports.shape = shape;
var componentSize = {
  mini: '24px',
  small: '32px',
  medium: '40px',
  large: '48px',
  extraLarge: '56px'
};
exports.componentSize = componentSize;
var iconSize = {
  small: '16px',
  medium: '24px',
  large: '40px',
  extraLarge: '80px'
};
exports.iconSize = iconSize;
var opacity = {
  16: 0.16,
  24: 0.24,
  40: 0.4,
  48: 0.48
};
exports.opacity = opacity;